PROBLEM: TITAN XP -- Driver 381 -- CUDA

Hi,

I just got a new computer with a TITAN XP card and installed the current driver 381.09.
While installing CUDA a package cannot be installed

ERROR: Package 1: cuda-libs-7.5.18-3.e17.nux.x64_64 (nux-desktop)
REQUIRES: libcuda.so.1()(64bit)

However in /usr/lib64/ I have:

libcuda.so.1 -> libcuda.so.381.09
libcuda.so.381.09

Can anyone tell me what I have to do/change so that cuda might install properly?

You shouldn’t be attempting to install CUDA 7.5.18 on that machine.

Get your installers from here:

http://www.nvidia.com/getcuda

follow the instructions carefully here:

http://docs.nvidia.com/cuda/cuda-installation-guide-linux/index.html#abstract

Since you already have the driver loaded (I assume), I would recommend using the runfile installer for CUDA 8.0.61, and answering “no” when prompted to install the driver.